function u = marimba_synth(Phi, Om, F, fs, T)
% marimba_synth
%   u = marimba_synth(Phi, Om, F, fs, T)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics

t = (0:round(T*fs)-1)/fs;
u = zeros(size(t));
for i = 1 : size(Om,2)
    om = Om(:,i);
    q = om < 2*pi*fs/2;
    alpha = om(q)/1000;
    u = u + (Phi(:,q)' * F)' * (diag(1:length(alpha)) \ (sin(om(q) * t) .* exp(-alpha * t)));
end
end