function plot_fem_mesh(handle, L, N, h, fhandle)
%plot_fem_mesh
%  plot_fem_mesh(handle, L, N, h, fhandle)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics

axes(handle);
cla;
x = linspace(0, L, N+1);
for iX = 1 : N
    p = patch([x(iX); x(iX+1); x(iX+1); x(iX)], [0; 0; -h(iX); -h(iX)],...
        [0; 0; 0; 0], [.8 .8 .8]);
    set(p, 'ButtonDownFcn', {fhandle, iX});
end

axis equal;
xlim([-.05, 1.05]*L);
ylim([-1.2, .2]*max(abs(h)));
xlabel('x [m]');
end