function plot_marimba_modes(h, Phi, om, fhandle)
%plot_marimba_modes
%   plot_marimba_modes(h, Phi, om, fhandle)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics


f = om/2/pi;
relf = f / f(1);
nMode = 5;
Phi = Phi(1:2:end,:);
x = linspace(0, 1, size(Phi,1));
for iMode = nMode : -1 : 1
    axes(h(iMode));
    l = plot(h(iMode), x, Phi(:,iMode)/Phi(1,iMode) * [1 -1]);
    set(l, 'LineWidth', 2, 'ButtonDownFcn', {fhandle, iMode});
    if iMode == 1
        xlabel(h(iMode), 'x/L [-]');
    else
        set(h(iMode), 'xticklabel', []);
    end
    text(1,1,sprintf('%.2f', relf(iMode)),...
        'HorizontalAlignment', 'right',...
        'VerticalAlignment', 'bottom', ...
        'FontSize', 12);
    text(0,1,sprintf('%.2f Hz', f(iMode)),...
        'HorizontalAlignment', 'left',...
        'VerticalAlignment', 'bottom', ...
        'FontSize', 12);
    set(h(iMode), 'xtick', 0:.1:1, 'xgrid', 'on');
    xlim(h(iMode), [-.05, 1.05]);
end
end