function plot_tuning_sensitivity(ahandle, mesh, Om, Om0, fhandle)
%plot_tuning_sensitivity
%  plot_tuning_sensitivity(ahandle, mesh, Om, Om0, fhandle)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics

x = linspace(0, 1, mesh.N+1);
c = 1200*log2(Om./repmat(Om0, 1, mesh.N));
cla(ahandle);
hold(ahandle, 'on');
for i = 1 : mesh.N
    p = plot(ahandle, x([i i+1]), c(:,[i i]));
    set(p, 'Linewidth', 3, 'ButtonDownFcn', {fhandle, i});
end
hold(ahandle, 'off');
xlabel(ahandle, 'x/L [-]');
ylabel(ahandle, 'Tuning [cent]');
legend(ahandle, {'n = 1', 'n = 2', 'n = 3', 'n = 4', 'n = 5'}, ...
    'Location', 'SouthEast');
grid(ahandle, 'on');

end