clear;
clc;

%% Parameters
mater.E = 1e10;
mater.rho = 830;
geom.L = .4;
geom.d = 6e-2;
geom.h0 = 4e-2;
geom.h1 = 0.515;
geom.l0 = 0.21;
geom.l1 = 0.29;
geom.h1 = 0;
geom.l0 = 0;
geom.l1 = 0;
mesh.N = 100;

%%
h = tprofile(geom, mesh);
[data.Phi, data.Om] = beammodes(geom, mater, mesh, h, 10);

%%
figure(1);
formatfig([10 1]);
plot_fem_mesh(gca, geom.L, mesh.N, h, @MarimbaHit);
axis equal tight
    font_size(14);
print('-depsc', 'marimba_bar_homo');

%%
for iF = 1 : 5
    figure(iF+1);
    formatfig([10 3], [1 1.5 1 1]);
    handles(iF) = gca;
end
plot_marimba_modes(handles, data.Phi, data.Om, @ModeHit);
for iF = 1 : 5
    figure(iF+1);
    font_size(14);
    ylim([-2 +2]);
    set(gca, 'ytick', []);
    print('-depsc', sprintf('marimba_mode_homo_%d', iF));
end
close all