function h = tprofile(geom, mesh)
%TPROFILE  Compute thickness profile of a marimba from geometry information
%  h = tprofile(geom, mesh)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics

x = linspace(0, geom.L, mesh.N+1);
xe = (x(1:end-1)+x(2:end))/2;   % element coordinates
xrel = xe/geom.L;
h = geom.h0*ones(size(xrel));
g1 = xrel > geom.l0 & xrel <= geom.l0+geom.l1;
h(g1) = geom.h0-geom.h0*geom.h1*(1-cos((xrel(g1)-geom.l0)/geom.l1*pi))/2;
g2 = xrel >= geom.l0+geom.l1 & xrel <= 1-geom.l0-geom.l1;
h(g2) = geom.h0 * (1-geom.h1);
g3 = xrel >= 1-geom.l0-geom.l1 & xrel < 1-geom.l0;
h(g3) = geom.h0-geom.h0*geom.h1*(1+cos((xrel(g3)-(1-geom.l0-geom.l1))/geom.l1*pi))/2;

end