function Om = tuning_sensitivity(geom, mater, mesh, cut, h0, nModes)
%TUNING_SENSITIVITY
% Om = tuning_sensitivity(geom, mater, mesh, cut, h0, nModes)

% Copyright 2010 Peter Fiala
% Laboratory of Acoustics
% Dept. of Telecommunications
% Budapest University of Technology and Economics

q = ceil(cut.dL / (geom.L/mesh.N));
Om = zeros(nModes, mesh.N);
wb = waitbar(0, 'Computing Tuning Sensitivity');
for i = 1 : mesh.N
    h = h0;
    ind = round(i-1+(-q/2+1:q/2));
    ind = ind(ind > 0);
    ind = ind(ind <= mesh.N);
    h(ind) = h(ind)*(1-cut.dh);
    [Phi, Om(:,i)] = beammodes(geom, mater, mesh, h, nModes);
    waitbar(i/mesh.N, wb);
end
close(wb);

end